org.h2.jdbc

## Class JdbcLob

- java.lang.Object
- - org.h2.message.TraceObject
  - - org.h2.jdbc.JdbcLob

Direct Known Subclasses:
  JdbcBlob, JdbcClob, JdbcSQLXML

    public abstract class JdbcLob
    extends TraceObject

Represents a large object value.

### Nested Class Summary

Nested Classes
`static class` `JdbcLob.State` State of the object.

### Field Summary

### Fields inherited from class org.h2.message.TraceObject

`ARRAY, BLOB, CALLABLE_STATEMENT, CLOB, CONNECTION, DATA_SOURCE, DATABASE_META_DATA, PARAMETER_META_DATA, PREPARED_STATEMENT, RESULT_SET, RESULT_SET_META_DATA, SAVEPOINT, SQLXML, STATEMENT, trace, XA_DATA_SOURCE, XID`

### Method Summary

Methods
`void` `free()` Release all resources of this object.
`java.lang.String` `toString()` INTERNAL

### Methods inherited from class org.h2.message.TraceObject

`debugCode, debugCodeAssign, debugCodeCall, debugCodeCall, debugCodeCall, getNextId, getTraceId, getTraceObjectName, isDebugEnabled, isInfoEnabled, logAndConvert, quote, quoteArray, quoteBigDecimal, quoteBytes, quoteDate, quoteIntArray, quoteMap, quoteTime, quoteTimestamp, setTrace, unsupported`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### free

    public void free()

Release all resources of this object.

#### toString

    public java.lang.String toString()

INTERNAL

Overrides:
  `toString` in class `java.lang.Object`